<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderTreeExpViewBase from './ibizorder-tree-exp-view-base.vue';

import view_treeexpbar from '@widgets/ibizorder/tree-exp-viewtreeexpbar-treeexpbar/tree-exp-viewtreeexpbar-treeexpbar.vue';
// 基于 @VIEW/实体树导航视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_treeexpbar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderTreeExpView extends IBIZOrderTreeExpViewBase {

}
</script>